import { __decorate } from 'tslib';
import { Injectable, NgModule } from '@angular/core';

let AnimationFrameRef = class AnimationFrameRef {
    nativeCancel(handle) {
        return cancelAnimationFrame(handle);
    }
    nativeRequest(callback) {
        return requestAnimationFrame(callback);
    }
};
AnimationFrameRef = __decorate([
    Injectable()
], AnimationFrameRef);

let ConsoleRef = class ConsoleRef {
    get native() {
        return console;
    }
};
ConsoleRef = __decorate([
    Injectable()
], ConsoleRef);

let IntervalRef = class IntervalRef {
    nativeClear(handle) {
        return clearInterval(handle);
    }
    nativeSet(handler, timeout, ...args) {
        return setInterval(handler, timeout, ...args);
    }
};
IntervalRef = __decorate([
    Injectable()
], IntervalRef);

let LocalstorageRef = class LocalstorageRef {
    get native() {
        return localStorage;
    }
};
LocalstorageRef = __decorate([
    Injectable()
], LocalstorageRef);

let LocationRef = class LocationRef {
    get native() {
        return location;
    }
};
LocationRef = __decorate([
    Injectable()
], LocationRef);

let SessionstorageRef = class SessionstorageRef {
    get native() {
        return sessionStorage;
    }
};
SessionstorageRef = __decorate([
    Injectable()
], SessionstorageRef);

let TimeoutRef = class TimeoutRef {
    nativeClear(handle) {
        return clearTimeout(handle);
    }
    nativeSet(handler, timeout, ...args) {
        return setTimeout(handler, timeout, ...args);
    }
};
TimeoutRef = __decorate([
    Injectable()
], TimeoutRef);

let WindowRef = class WindowRef {
    get native() {
        return window;
    }
};
WindowRef = __decorate([
    Injectable()
], WindowRef);

let NgRefsModule = class NgRefsModule {
};
NgRefsModule = __decorate([
    NgModule({
        providers: [
            AnimationFrameRef,
            ConsoleRef,
            IntervalRef,
            LocalstorageRef,
            LocationRef,
            SessionstorageRef,
            TimeoutRef,
            WindowRef
        ]
    })
], NgRefsModule);

/**
 * Generated bundle index. Do not edit.
 */

export { AnimationFrameRef, ConsoleRef, IntervalRef, LocalstorageRef, LocationRef, NgRefsModule, SessionstorageRef, TimeoutRef, WindowRef };
//# sourceMappingURL=ng-refs.js.map
